> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vectalk.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Botões de Resposta

> Envie uma mensagem com até 3 botões de resposta rápida

<ParamField body="messaging_product" type="string" required default="whatsapp" />

<ParamField body="to" type="string" required placeholder="5511999999999" />

<ParamField body="recipient_type" type="string" default="individual" />

<ParamField body="type" type="string" required default="interactive" />

<ParamField body="context" type="object">
  Para responder uma mensagem. Inclua `message_id` da mensagem original.
</ParamField>

<ParamField body="interactive" type="object" required>
  <Expandable title="campos" defaultOpen>
    <ParamField body="interactive.type" type="string" required default="button" />

    <ParamField body="interactive.header" type="object">
      <Expandable title="campos">
        <ParamField body="interactive.header.type" type="string" placeholder="text">
          `text`, `image`, `video` ou `document`.
        </ParamField>

        <ParamField body="interactive.header.text" type="string" placeholder="Confirmação de pedido" />
      </Expandable>
    </ParamField>

    <ParamField body="interactive.body" type="object" required>
      <Expandable title="campos" defaultOpen>
        <ParamField body="interactive.body.text" type="string" required placeholder="Deseja confirmar seu pedido?">
          Texto principal da mensagem (máx. 1024 caracteres).
        </ParamField>
      </Expandable>
    </ParamField>

    <ParamField body="interactive.footer" type="object">
      <Expandable title="campos">
        <ParamField body="interactive.footer.text" type="string" placeholder="Responda abaixo" />
      </Expandable>
    </ParamField>

    <ParamField body="interactive.action" type="object" required>
      <Expandable title="campos" defaultOpen>
        <ParamField body="interactive.action.buttons" type="array" required>
          Array de até 3 botões. Cada botão: `{ "type": "reply", "reply": { "id": "...", "title": "..." } }`.
        </ParamField>
      </Expandable>
    </ParamField>
  </Expandable>
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url https://apis.vectalk.com.br/api/messages \
    --header 'Authorization: Bearer <token>' \
    --header 'Content-Type: application/json' \
    --data '{
      "messaging_product": "whatsapp",
      "to": "5511999999999",
      "type": "interactive",
      "interactive": {
        "type": "button",
        "header": { "type": "text", "text": "Confirmação de pedido" },
        "body": { "text": "Deseja confirmar seu pedido?" },
        "footer": { "text": "Responda abaixo" },
        "action": {
          "buttons": [
            { "type": "reply", "reply": { "id": "confirm_yes", "title": "Sim, confirmar" } },
            { "type": "reply", "reply": { "id": "confirm_no", "title": "Cancelar" } }
          ]
        }
      }
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "messaging_product": "whatsapp",
    "contacts": [{ "input": "5511999999999", "wa_id": "5511999999999" }],
    "messages": [{ "id": "wamid.HBgLNTUxMTk5OTk5OTk5..." }]
  }
  ```
</ResponseExample>
